telepathy-mission-control (4.61-1) unstable; urgency=low

  * Make the coverity tool a bit happier. Fixes: NB#80882.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Fri, 29 Feb 2008 15:18:03 +0200

telepathy-mission-control (4.60-2) unstable; urgency=low

  * Fixes: NB#80549.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Tue, 12 Feb 2008 11:21:50 +0200

telepathy-mission-control (4.60-1) unstable; urgency=low

  * Fix the comparison of pending channels (the condition on the channel
    type was inverted).
    Fixes: http://bugzilla.gnome.org/show_bug.cgi?id=511063

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon, 11 Feb 2008 14:42:26 +0200

telepathy-mission-control (4.59-1) unstable; urgency=low

  * Introduce a HandlerVersion parameter in the .chandler files, that
    makes MC call a HandleChannel2 method on them; this provides a boolean
    indicating the channel direction, and the same request_id as returned
    by mission_control_request_channel().

  * Don't update the avatar while we are setting it. Fixes: NB#78634.

  * libmissioncontrol:
    Invoke the callback from an idle function, so that the clients can get
    their request ID before the callback gets executed.

  * Watch for every channel handler's lifetime, and not only for stream
    channels. Fixes: NB#79327.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Fri,  8 Feb 2008 11:38:41 +0200

telepathy-mission-control (4.58-1) unstable; urgency=low

  * Introduce videp-p2p capability.

  * Add a DefaultAccountName setting.

  * Add a Priority setting. (Fixes: NB#80078)

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu, 31 Jan 2008 11:20:31 +0200

telepathy-mission-control (4.57-1) unstable; urgency=low

  * Patch from Xavier Claessens <zdra@users.sourceforge.net>:
    Use new API for requesting avatars.

  * Avoid requesting the avatars interface more than once.
    Fixes: NB#78634.

  * If a GConf key is deleted, report its value as NULL.
    Fixes: NB#79577.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu, 24 Jan 2008 16:18:11 +0200

telepathy-mission-control (4.56-1) unstable; urgency=low

  * #include <telepathy-glib/util.h> to suppress a warning.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu, 17 Jan 2008 11:59:01 +0200

telepathy-mission-control (4.55-1) unstable; urgency=low

  * Patch from Simon McVittie <smcvittie@users.sourceforge.net>:
    Since recursive variable expansion is troublesome for configure.ac,
    have the Makefile generate the DBus service file. Fixes: #1871127.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Tue, 15 Jan 2008 11:15:38 +0200

telepathy-mission-control (4.54-1) unstable; urgency=low

  * Updated to find mission-control in @libexecdir@. Fixes: #1871127.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon, 14 Jan 2008 17:14:16 +0200

telepathy-mission-control (4.53-1) unstable; urgency=low

  * Patch from Xavier Claessens <zdra@users.sourceforge.net>:
    Emit presence signals when the status message is changed.
    Fixes: #1864568.

  * Patch from Xavier Claessens <zdra@users.sourceforge.net>:
    Register the PresenceChanged and ActualPresenceChanged signals.
    Fixes: 31862760.

  * Move mission-control binary to $libexecdir. Fixes: #1827691.

  * Patch from Alban Crequy <albancrequy@users.sourceforge.net>:
    Duplicate the channel_type string, because the original one might be
    freed while we are still using it. Fixes: #1849202.

  * If the server doesn't store the avatar, we must set it everytime we
    connect. Fixes: #1825366.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon, 14 Jan 2008 11:22:43 +0200

telepathy-mission-control (4.52-1) unstable; urgency=low

  * Use a timestamp as avatar ID, instead of a random number (which is not
    necessarily unique). Fixes: NB#78634.

  * Don't leak avatar data on mc_account_set_avatar().

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Tue, 18 Dec 2007 15:13:53 +0200

telepathy-mission-control (4.51-1) unstable; urgency=low

  * Patch from Xavier Claessens <zdra@users.sourceforge.net>:
    Do not use deprecated libtp symbols. Fixes: #1831105.

  * Use a list of structures to keep track of the pending channels: in
    this way we take into account also the handle type and the channel
    type.
    Fixes: NB#76877.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Tue, 11 Dec 2007 17:27:34 +0200

telepathy-mission-control (4.50-1) unstable; urgency=low

  * Compare also the channel handle type, before asserting that two
    channels are the same. Fixes: NB#75583.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu,  8 Nov 2007 15:03:20 +0200

telepathy-mission-control (4.49-2) unstable; urgency=low

  * Fixes: NB#73568.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon, 29 Oct 2007 17:31:40 +0200

telepathy-mission-control (4.49-1) unstable; urgency=low

  * When removing the last account, unset the requested presence.

  * When an account gets enabled, check for the requested presence, not
    for the actual.
    Fixes: NB#74159.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu, 25 Oct 2007 13:45:57 +0300

telepathy-mission-control (4.48-1) unstable; urgency=low

  * Create the connection manager proxy just before actually using it;
    fixes a potential crash (actually found in corematic, at least twice).

  * Add mc_profile_get_avatar_mime_type() for getting the preferred avatar
    MIME type.

  * Fix typo: allow requesting channels with handle_type = 0.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Wed, 17 Oct 2007 15:10:46 +0300

telepathy-mission-control (4.47-1) unstable; urgency=low

  * When an account changes, update internal data before emitting the
    account-changed signal. Fixes: NB#72172.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon,  8 Oct 2007 09:59:00 +0300

telepathy-mission-control (4.46-1) unstable; urgency=low

  * McdChannel: Handle possible error from DBus (fixes a crash).

  * Remove unused signals in DBus interface.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Fri,  5 Oct 2007 10:26:01 +0300

telepathy-mission-control (4.45-1) unstable; urgency=low

  * Fix a crash where strcmp could be called with NULL parameters.
    Fixes: NB#71803.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu,  4 Oct 2007 09:02:35 +0300

telepathy-mission-control (4.44-1) unstable; urgency=low

  * Add mcd_master_add_connection_parameter() API for passing connection
    parameters to all the connection managers that support them, for all
    accounts.

  * Add the mcd_connection_connect() API (renaming the static one that was
    already using that name) and call it explicitly after the connection
    is created.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Fri, 28 Sep 2007 14:14:36 +0300

telepathy-mission-control (4.43-1) unstable; urgency=low

  * Store a copy of the presence message string, since it could be freed
    anytime. Possibly fixes a crash.

  * Fix a memory leak.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Wed, 26 Sep 2007 10:04:42 +0300

telepathy-mission-control (4.42-1) unstable; urgency=low

  * Fix mapping of Telepathy channel full/inviteonly/banned errors.
    Fixes: NB#70747.

  * Immediately update display/normalized name, without waiting for GConf
    notification. Fixes: #1797819.

  * Fix possible crash happening when alias is NULL.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon, 24 Sep 2007 17:53:33 +0300

telepathy-mission-control (4.41-1) unstable; urgency=low

  * Add signals with an additional the presence message parameter, and
    deprecate old ones.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu, 20 Sep 2007 15:58:22 +0300

telepathy-mission-control (4.40-1) unstable; urgency=low

  * Set the account enabled flag to FALSE, before emitting the
    account-disabled signal. Fixes: NB#70212.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu, 20 Sep 2007 10:24:38 +0300

telepathy-mission-control (4.39-1) unstable; urgency=low

  * Fix some build issues. 

  * Accounts: cache the profile name, normalized and display name, instead of
    always retrieving them from GConf.

  * Accounts: move account enabledness related code to McAccount, avoiding
    some GConf lookups.

  * Fix possible crash when trying to display a NULL GError.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon, 17 Sep 2007 10:57:06 +0300

telepathy-mission-control (4.38-1) unstable; urgency=low

  * Add some more checks to the
    mission_control_request_channel_with_string_handle_and_vcard_field
    function, and fix a reference leak. Fixes: NB#67964.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu,  6 Sep 2007 08:36:26 +0300

telepathy-mission-control (4.37-1) unstable; urgency=low

  * Listen to the AvatarUpdated signal, instead of relying on eds-sync
    doing that. With a compile-time switch, old behaviour is still
    possible. Fixes: #1763009.

  * Add mc_account_set_avatar_from_data() API. Partially fixes #1763009.

  * Increase timeout for receiving capabilities. Fixes: NB#57392.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Fri, 31 Aug 2007 12:25:08 +0300

telepathy-mission-control (4.36-1) unstable; urgency=low

  * Add mc_account_set_secondary_vcard_fields() API to set all secondary
    VCard fields at once.

  * When an account parameter changes, perform reconnection only if
    requested presence is online.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Tue, 28 Aug 2007 12:23:44 +0300

telepathy-mission-control (4.35-1.1) unstable; urgency=low

  * libmissioncontrol0 split up to the packages libmissioncontrol-client0
    and libmissioncontrol-server1

 -- Dmitry Rozhkov <dmitry.1.rozhkov@nokia.com>  Thu, 23 Aug 2007 13:51:19 +0300

telepathy-mission-control (4.35-1) unstable; urgency=low

  * Remove compilation flags, they are to be specified in configure.ac or
    in debian/rules. Fixes: #1772178.

  * Strip spaces from presence names. Fixes: #1772539.

  * Allow requesting a channel with handle 0 if channel handle type is
    also 0. Turn a g_assert into a g_return_val_if_fail.
    Fixes: #1772597.

  * Merge libmissioncontrol and libmissioncontrol-config into a single
    library, called libmissioncontrol-client.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Tue, 21 Aug 2007 12:22:23 +0300

telepathy-mission-control (4.34-1untested2) unstable; urgency=low

  * Export missing symbols, mission_control_*.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon, 20 Aug 2007 16:06:38 +0300

telepathy-mission-control (4.34-1untested) unstable; urgency=low

  * Merge libmissioncontrol and libmissioncontrol-config into a single
    library, called libmissioncontrol-client.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon, 20 Aug 2007 14:46:30 +0300

telepathy-mission-control (4.34-1) unstable; urgency=low

  * Allow per protocol channel handlers.

  * Use soname version properly.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Tue, 14 Aug 2007 15:25:06 +0300

telepathy-mission-control (4.33-1) unstable; urgency=low

  * Add mc_profiles_list_by_protocol() API.

  * Fix distribution of some development files.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu,  9 Aug 2007 09:56:52 +0300

telepathy-mission-control (4.32-1) unstable; urgency=low

  * Update required version of libtelepathy.

  * Bump libmissioncontrol-server soname, to resolve ABI breakage.

  * Add documentation for mc_account_{set,get}_alias.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon,  6 Aug 2007 16:02:51 +0300

telepathy-mission-control (4.31-1) unstable; urgency=low

  * Correctly report telepathy's InvalidHandle error.

  * Fix a possible crash when a connection manager can handle more than one
    protocol.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu,  2 Aug 2007 13:45:38 +0300

telepathy-mission-control (4.30-1) unstable; urgency=low

  * If an account parameter changes when a corresponding connection is not
    there, create the connection and try to connect it. Fixes: NB#60830.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon, 16 Jul 2007 14:33:20 +0300

telepathy-mission-control (4.29-1) unstable; urgency=low

  * When requesting a channel by the TEL vcard field, don't filter out the '+'
    sign.

  * New mcd_channel_leave() API for removing the self handle from a
    channel.

  * Use asynchronous call to connect the connection.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Fri, 13 Jul 2007 13:31:22 +0300

telepathy-mission-control (4.28-1) unstable; urgency=low

  * Set the account status to CONNECTING as soon as connection process
    start. Fix some memory leaks.

  * Fix function name: mcd_provisioning_factory_add instead of
    mcd_provisioning_factory_add_provisioning.
    Use g_str_{hash,equal} for the services hash table.

  * Implement getting of connection parameters through a provisioning
    service.

  * Add mcd_provisioning_cancel_request() API.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Fri, 29 Jun 2007 16:44:41 +0300

telepathy-mission-control (4.27-1) unstable; urgency=low

  * When requesting a channel from offline presence, monitor the requestor
    process's lifetime to eventually reset the presence back to offline.
    Fixes: NB#57390.

  * Patch from Xavier Claessens <zdra@users.sourceforge.net>:
    Implement D-Bus API for channel filtering.

  * Patch from Jaap Haitsma <jaap@haitsma.org>:
    Set the correct type for the McdSystemFlags parameter in the
    flags-changed signal.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Tue, 26 Jun 2007 14:59:21 +0300

telepathy-mission-control (4.26-1) unstable; urgency=low

  * libmissioncontrol:
    Revert the fix for McAccountMonitor reference counting: the object
    must never be disposed, or invocations of mc_account_lookup() might
    return different objects for the same account.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Tue, 19 Jun 2007 10:22:36 +0300

telepathy-mission-control (4.25-1) unstable; urgency=low

  * Turn a (wrong) assertion into a runtime check. Fixes: NB#54826.

  * Don't crash if we fail to retrieve account or profile data.
    Fixes: NB#59649.

  * Don't let libtelepathy connect the connection by itself; this ensure
    we don't lose any status changed signal. Fixes: NB#54624.

  * Some robustness minor improvements.

  * Let the McAccountMonitor be actually destroyed.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Fri, 15 Jun 2007 13:37:39 +0300

telepathy-mission-control (4.24-1) unstable; urgency=low

  * Added McdProvisioningFactory and McdProvisioning classes as initial
    support for account parameters provisioning.

  * If an account parameter change, disconnect the account and reconnect it.
    Fixes: NB#56199.

  * libmissioncontrol:
    Add param-changed signal on McAccountMonitor: will be emitted whenever
    a connection parameter changes for an account.

  * libmissioncontrol: 
    When looking up an account, also accept the normalized name as a key.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Fri,  8 Jun 2007 09:14:51 +0300

telepathy-mission-control (4.23-3) unstable; urgency=low

  * Remove documentation. 

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Wed, 30 May 2007 20:00:03 +0300

telepathy-mission-control (4.23-2) unstable; urgency=low

  * Disable gtk-doc. 

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Wed, 30 May 2007 16:58:55 +0300

telepathy-mission-control (4.23-1) unstable; urgency=low

  * add mangling and request_channel with vcard field

  * libmissioncontrol: add supports-roster capability to McProfile.

  * libmissioncontrol: avoid some crashes/critical warnings.

  * Fix AMD64 build. 

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Wed, 30 May 2007 13:50:27 +0300

telepathy-mission-control (4.22-2UNRELEASED) feisty; urgency=low

  * add mangling and request_channel with vcard field

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Fri, 11 May 2007 10:55:41 +0300

telepathy-mission-control (4.22-1) unstable; urgency=low

  * libmissioncontrol: Add methods for retrieving the actual and requested
    presence messages.

  * libmissioncontrol: Add support for secondary vcard fields.

  * Add mcd_channel_is_missed() method to know if a channel has been accepted
    by the local user.

  * If a channel is aborted right before the channel handle starts, report
    a dispatch failure.

  * Various minor fixes.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Fri, 11 May 2007 10:55:41 +0300

telepathy-mission-control (4.21-1) unstable; urgency=low

  * Implement aliasing support.

  * libmissioncontrol:
    Unset the account properties when the passed string is NULL. Also,
    unset the display name if the passed value is the empty string.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu, 19 Apr 2007 13:49:14 +0300

telepathy-mission-control (4.20-1) unstable; urgency=low

  * On "account-deleted", let the account object live while the signal is
    emitted.

  * Fix some serious typos introduced with previous release (switch to XDG).

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Wed, 28 Mar 2007 09:41:16 +0300

telepathy-mission-control (4.19-1) unstable; urgency=low

  * Rename of source and debian packages.

  * Move to XDG compliant directory location for Telepathy data files
    (manager, profiles, channel handlers).

  * Documentation improvements.

  * Build MissionControl D-Bus interface documentation from the embedded
    docstrings found in D-Bus service XML file.

  * Added autogen script.

  * Gracefully handle the lack of a Capabilities field in the .profile
    config file.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Fri, 23 Mar 2007 14:31:51 +0200

mission-control (4.18-1) unstable; urgency=low

  * Rewrite filter API to allow single filter registration and execution
    priority.

  * Apply patch from Xavier Claessens to make MC server build with
    gcc 4.x.

  * Deprecate mc_{account,profile,protocol,manager}_free() and substitute
    them with g_object_unref().

  * Documentation updates. 

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Wed, 14 Mar 2007 14:27:33 +0200

mission-control (4.17-1) unstable; urgency=low

  * Fixed server and tests conditional build and simplified enable args.

  * Change DBus paths to org.freedesktop.Telepathy.MissionControl.

  * Moving mc-server into a separate directory, and add a configure switch to
    install it as the mission-control server. Move the DBus service file to
    the same directory.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Fri,  9 Mar 2007 17:28:00 +0200

mission-control (4.16-1) unstable; urgency=low

  * Set lisence to LGPL

 -- Naba Kumar <naba.kumar@nokia.com>  Mon,  5 Mar 2007 11:47:13 +0200

mission-control (4.15-2) unstable; urgency=low

  * applied patch to force -fPIC, -O2 and -mthumb options.
    Fixes: NB#52424

 -- Dmitry Rozhkov <ext-dmitry.1.rozhkov@nokia.com>  Mon,  5 Mar 2007 10:52:30 +0200

mission-control (4.15-1) unstable; urgency=low

  * Introduce a new GConf key for the accounts, "avatar_id", which is
    meant to change whenever the avatar image changes.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Fri,  2 Mar 2007 17:05:12 +0200

mission-control (4.14-1) unstable; urgency=low

  * Implement clearing of avatars.

  * After emitting the "account-created" signal, check if the account is
    already enabled and, in case, emit "account-enabled".

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Wed, 28 Feb 2007 11:50:15 +0200

mission-control (4.13-1) unstable; urgency=low

  * Monitor account changes and call mcd_connection_account_changed() to
    update the avatar.

  * Create account data directory if it not exists.

  * Move accounts' data directory to ~/.osso/accounts.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Fri, 16 Feb 2007 12:21:35 +0200

mission-control (4.12-1) unstable; urgency=low

  * Set a prefix when calling dbus-binding-tool.

  * Make the channel handler location path configurable.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Wed, 14 Feb 2007 15:10:57 +0200

mission-control (4.11-1) unstable; urgency=low

  * Fix typo in accessing the GConf key.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Wed, 14 Feb 2007 12:24:22 +0200

mission-control (4.10-1) unstable; urgency=low

  * Some code clean-up.

  * Add mcd_channel_get_name() for getting the Telepathy name of the channel.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Wed,  7 Feb 2007 12:58:24 +0200

mission-control (4.9-1) unstable; urgency=low

  * Implement remote_avatar_changed method, for retrieving our own avatar.

  * libmissioncontrol:
    Fix avatar copy function and unset token when setting the avatar.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Tue, 30 Jan 2007 16:36:57 +0200

mission-control (4.8-1) unstable; urgency=low

  * Push own avatar when connecting.

  * libmissioncontrol:
    Add "supports-avatars" capability to profiles.

  * libmissioncontrol:
    New APIs: mc_account_{set,get}_avatar() for setting/getting
    the account avatar in GConf, and mission_control_remote_avatar_changed()
    stub method for signalling that the own avatar has been changed in the
    server.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon, 29 Jan 2007 17:33:10 +0200

mission-control (4.7-1) unstable; urgency=low

  * Disconnect the connections before closing them.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Tue, 23 Jan 2007 18:40:44 +0200

mission-control (4.6-1) unstable; urgency=low

  * When disabling accounts, emit the AccountStatusChanged signal with the
    reason "requested". Fixes NB#50067.

  * libmissioncontrol:
    Don't make a D-Bus call whenever we want to know if MC is running.

  * libmissioncontrol:
    Don't register a D-Bus filter for every instance of the MissionControl
    objects; instead, install only a global filter and maintain a list of the
    objects which must be notified of the "ServiceEnded" signal.

  * Documentation updates.

  * libmissioncontrol:
    Added mission_control_free_account_statuses() API to free the array of
    the account states returned in the callback function of
    mission_control_get_current_status().

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon, 22 Jan 2007 16:35:15 +0200

mission-control (4.5-1) unstable; urgency=low

  * Make apps which only use McAccountMonitor compile.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu, 18 Jan 2007 18:04:46 +0200

mission-control (4.4-1) unstable; urgency=low

  * libmissioncontrol:
    Added a new method, mission_control_get_current_status(), for querying the
    global status of MC: presence, connection status, and all accounts' states
    too.

  * libmissioncontrol:
    Add new API mc_account_monitor_get_supported_presences() for listing
    all presences supported in any account.

  * libmissioncontrol:
    Add new APIs in McAccount and McProfile for retrieving the supported
    presences, and to test if one presence state is supported.

  * Fix some minor leak and unlikely segfault.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu, 18 Jan 2007 16:51:45 +0200

mission-control (4.3-1) unstable; urgency=low

  * libmissioncontrol:
    Let the ..._request_channel() method return an operation id to be used
    for cancelling the channel request.

  * Updated license headers on all source files.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu, 11 Jan 2007 15:11:33 +0200

mission-control (4.2-1) unstable; urgency=low

  * Fixed several memleaks.

  * libmissioncontrol:
    Rewritten McAccount's API: now the mc_account_get_{unique,display,
    normalized}_name() functions return a const string, not to be freed.

  * Turn the profiles' directory into a configure switch, and make it
    available in pkg-config too.

  * Add a method for setting the default presence, instead of retrieving
    it from a hardcoded GConf key.

  * Create a client and a server basic test applications.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Wed, 10 Jan 2007 16:43:41 +0200

mission-control (4.1-1) unstable; urgency=low

  * Modify all synchronous functions by adding a GError parameter and
    removing the "Error" signal. Modify asynchronous functions, and add a
    callback function for error reporting.

  * Remove the CancelLastRequest call completely.

  * Since libtelepathy doesn't synthesize the StatusChanger and Closed
    signals, take care of proxy destruction by monitoring the "destroy"
    signal.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Tue,  2 Jan 2007 12:01:55 +0200

mission-control (4.0-1) unstable; urgency=low

  * Rewrite the D-Bus interface: remove the client-pid and serial parameters
    from most calls, and instead consider the sender of the D-Bus calls.
    Turn the request_channel* functions into async calls.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Fri, 15 Dec 2006 16:43:15 +0200

mission-control (3.17-1) unstable; urgency=low

  * Disconnect the "CapabilitiesChanged" signal handler when the channel is
    disposed. Fixes NB#49797.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Fri, 15 Dec 2006 11:58:11 +0200

mission-control (3.16-1) unstable; urgency=low

  * If we were going online because of a channel request and the connection
    fails for some reason, return an error for the channel request too.
    Fixes NB#49700.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu, 14 Dec 2006 11:05:17 +0200

mission-control (3.15-1) unstable; urgency=low

  * MC API documentation complete.

  * Small fix where the presence proxy pointer was used when it could still be
    NULL.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Tue, 12 Dec 2006 12:01:55 +0200

mission-control (3.14-1.1) unstable; urgency=low

  * gtk-doc-tools added to Build-Depends:

 -- Dmitry Rozhkov <ext-dmitry.1.rozhkov@nokia.com>  Mon, 11 Dec 2006 16:06:44 +0200

mission-control (3.14-1) unstable; urgency=low

  * When we get disconnected, clear the requested presence.
    Fixes NB#49144.

  * If the connection is disconnected, don't abort it; instead, set up a
    timer and try to reconnect it later. Fixes NB#49028.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu,  7 Dec 2006 11:27:07 +0200

mission-control (3.13-1) unstable; urgency=low

  * Implement the StatusActual signal. Fixes NB#42727.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Wed, 29 Nov 2006 14:04:18 +0200

mission-control (3.12-1) unstable; urgency=low

  * Retrieve localized display name for the profile. Fixes NB#47596.

  * When the connection is established, inspect the self handle and set
    the normalized name into the account.

  * After some applications triggers automatic presence online, don't go
    offline when all the channels are used, but instead when all applications
    which requested the presence have exited.

  * Some minor cleanups.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Tue, 28 Nov 2006 13:08:01 +0200

mission-control (3.11-1) unstable; urgency=low

  * Completely rewritten presence fallback implementation.
    Correctly handles all telepathy well-known statuses and uses much less
    memory.

  * libmissioncontrol: Introduce new API:
    mission_control_cancel_channel_request() for cancelling a channel request
    identified by the operation_id now returned by
    mission_control_request_channel_with_string_handle().
    Disable mission_control_cancel_last_request(), till it gets fixed.

  * libmissioncontrol:
    Add mc_account_{get,set}_normalized_name() to the API.

  * libmissioncontrol:
    Don't listen to every dbus message, but only to NameOwnerChange.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Fri, 17 Nov 2006 16:26:24 +0200

mission-control (3.10-1) unstable; urgency=low

  * Make sure we go online before attempting to request a channel.
    Fixes NB#47136.

  * libmissioncontrol: Implemented "ServiceEnded" signal: this will be emitted
    whenever a mission-control process terminates.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon, 13 Nov 2006 18:41:27 +0200

mission-control (3.9-1) unstable; urgency=low

  * mc-account-cli.c: Fixed account addition and removal.
    Changed how parameters are specified.
 
  * mc-account-cli.c: Correct program name in mc-account help screen.

  * Was still using "suppress-handler" property of McdChannel; change it
    to "outgoing". Fixes NB#46811.

  * When reparenting, inherit all possible statuses from the parent
    mission.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu,  9 Nov 2006 17:53:00 +0200

mission-control (3.8-1) unstable; urgency=low

  * Emit account-created signal only when the account is 'complete' and do not
    enable the account by default (let the accounts creation wizard enable it
    when it is finished creating the account). Only mark deleted accounts by a
    'deleted' flag so that the account is still usabled/accesible after
    deletion and set up a timer to expunge deleted accounts after 2 secs.
    mc_accounts_list() will now only return 'complete' accounts and not
    anything that is found in gconf database. Accounts that have been marked
    deleted are considered incomplete. Fixes: NB#46297.
 
  * Fix compilation warnings.

  * Inherit the "connected" status from the parent mission.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Fri,  3 Nov 2006 15:38:58 +0200

mission-control (3.7-1) unstable; urgency=low

  * Emit account-created signal
    only when the account is 'complete' and do not enable
    the account by default (let the accounts creation wizard
    enable it when it is finished creating the account). Only
    mark deleted accounts by a 'deleted' flag so that the account
    is still usabled/accesible after deletion and set up a timer
    to expunge deleted accounts after 2 secs. mc_accounts_list()
    will now only return 'complete' accounts and not anything that
    is found in gconf database. Accounts that have been marked
    deleted are considered incomplete. Fixes NB#46297

 -- Naba Kumar <naba.kumar@nokia.com>  Thu,  2 Nov 2006 10:40:13 +0200

mission-control (3.6-1) unstable; urgency=low

  * Cleaned up some unused code.

  * Introduce a MC_DEBUG environment variable to turn on/off some
    debugging informations.

  * Compile with G_DISABLE_CAST_CHECKS.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Wed,  1 Nov 2006 14:33:31 +0200

mission-control (3.5-1) unstable; urgency=low

  * If mission-control is going online because of some channel request
    and the user cancels the connectivity setup, we must notify the UI
    about these requested channels being aborted (fixes NB#43666).

  * Removed duplicate call to _mc_account_monitor_list() (fixes NB#39642).

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Wed, 25 Oct 2006 14:53:03 +0300

mission-control (3.4-1) unstable; urgency=low

  * Avoid setting the default presence if we are disconnected but a
    presence has already been requested (fixes NB#44124).

  * Remodel the presence fallback structure, and return the actually
    selected presence in the AccountStatusChanged signal (fixes NB#42138).
    Also correct the way the actual presence is computed.

  * Wait for capabilities: if a call fails within 5 seconds from the
    connection establishment, wait for the contact's CapabilitiesChanged
    signal and try again in case we receive any (fixes NB#36260).
    For outgoing channels, ignore the NewChannel handler; instead, perform
    the channel creation when the RequestChannel method returns.

  * Report MC_CONTACT_DOES_NOT_SUPPORT_VOICE_ERROR only for StreamedMedia
    channels (better fix for NB#43777).

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon, 23 Oct 2006 17:48:38 +0300

mission-control (3.3-1) unstable; urgency=low

  * Fix libmissioncontrol-config library version.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Fri, 20 Oct 2006 11:50:12 +0300

mission-control (3.2-1) unstable; urgency=low

  * Don't go offline if channels other than text/streamed are closed.

  * Fix error code returned to the UI in case of missing capabilities
    (fixes #43777).

  * Fix some crashes that happened randomly when the channel was closed
    shortly after creation.

  * Ignore unexpected NewChannel signals which have the suppress_handler
    flag set (fixes #43446).

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu, 19 Oct 2006 16:04:33 +0300

mission-control (3.1-1.1) unstable; urgency=low

  * libosso-dev added to Build-Depends

 -- Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Thu, 19 Oct 2006 17:17:17 +0300

mission-control (3.1-1) unstable; urgency=low

  * On channel request, rewritten the check for existing channels: compare the
    channel type, and not the channel handle type (fixes #43422).

  * Revert the accounts path back to "/apps/telepathy/mc/accounts".

  * Add a NULL pointer at the end of the connection names array (fixes
    #43192).

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Wed, 18 Oct 2006 11:44:06 +0300

mission-control (3.0-2) unstable; urgency=low

  * Fixed debian install and control files.

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 17 Oct 2006 13:34:04 +0300

mission-control (3.0-1) unstable; urgency=low

  * Moved accounts/profiles/managers code in libmissioncontrol.
  * Fixed Makefile.am files for proper installation and packaging.
  * Removed dependency on account library.
  * Updated library flags.
  * Updated to use new accounts api.

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 17 Oct 2006 11:09:58 +0300

mission-control (2.6-1) unstable; urgency=low

  * Don't close Telepathy Contact List channels.
  * When a channel is requested with a string handle, make sure the
    connectivity is up (or has been requested) before attempting to get the
    channel (fixes #42822).

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Wed, 11 Oct 2006 10:29:24 +0300

mission-control (2.5-1) unstable; urgency=low

  * Handle multiple requests of the same channel (fixes #42129).
  * Moved all the mode setting stuff to mission-control-filters.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon,  9 Oct 2006 16:38:22 +0300

mission-control (2.4-1.1) unstable; urgency=low

  * libosso-dev added to Build-Deps

 -- Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Thu,  5 Oct 2006 12:24:30 +0300

mission-control (2.4-1) unstable; urgency=low

  * Don't allow setting the default presence if a presence has already been
    requested. This prevents MC from going offline after all conversations
    have ended.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Thu,  5 Oct 2006 11:45:47 +0300

mission-control (2.3-1) unstable; urgency=low

  * Added support for channel handlers' capabilities. 

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Wed,  4 Oct 2006 16:40:11 +0300

mission-control (2.2-1) unstable; urgency=low

  * Added declaration for mission_control_get_used_channels_count()
    (fixes bug #42020).
  * If default presence is offline, return to offline presence when no
    conversations are going on (fixes #42013).
  * Don't ignore requests for offline presence if MC is not running: fixes
    bug #42150.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Wed,  4 Oct 2006 09:46:28 +0300

mission-control (2.1-1) unstable; urgency=low

  * Creation of channels when offline now works.
  * Fixed some segfaults.

 -- Alberto Mardegan <alberto.mardegan@nokia.com>  Mon,  2 Oct 2006 12:08:26 +0300

mission-control (2.0-2) unstable; urgency=low

  * dependencies clean up

 -- Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Tue,  3 Oct 2006 12:15:42 +0300

mission-control (2.0-1) unstable; urgency=low

  * Restructured mission-control for device
 
 -- Zeeshan Ali <zeeshan.ali@nokia.com>  Tue, 25 Jul 2006 15:36:05 +0300

mission-control (0.30-1) unstable; urgency=low

  * Added MC_CONTACT_DOES_NOT_SUPPORT_VOICE_ERROR. Bug #30306.
  * Don't try to connect the same account more than once.
    Fixes object path corruption.
  * Added presence-status-actual signal. Bug #25682.
  * Don't clear exit_after_last_channel flag when
    mcd_connect_all_with_default_presence() is called.
    Partial fix for bug #27122.
  * Re-connect all accounts even when connectivity is already connected.
    Fixes bug #30344

 -- Naba Kumar <naba.kumar@nokia.com>  Wed, 24 May 2006 16:08:05 +0300

mission-control (0.29-1) unstable; urgency=low

  * Set new connection status to CONNECTING. Fixes bug #29265.
  * Changes to .manager file reading.
  * Don't hog the CPU and prevent gabble from doing real work.
  * Added GetUsedChannelsCount DBUS method. This fixes bug #29651.

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 19 May 2006 14:14:15 +0300

mission-control (0.28-1) unstable; urgency=low

  * Some missing mcd-error signal emits added; fixes bug #26504.
  * Connection status is now also updated when starting to connect an
    account; fixes bug #29265.
  * Added PresenceStatusRequested signal which is emitted whenever a
    presence change is requested.

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 12 May 2006 14:48:24 +0300

mission-control (0.27-1) unstable; urgency=low

  * Mission Control will now properly terminate calls/chats when device
    is shutting down. This fixes bug #25155.
  * Mission Control now keeps properly track of the T&K lock events and
    VOIP call end conditions, locking the T&K lock again (only) when
    call is rejected/missed. Fixes bugs #28083, #28084.
  * Mission Control will set presence to offline when we no longer have
    chat/voip going on and we originally went online because application
    requested it; fixes bug #27122
  * The previous fix for bug #26797 has been improved to take
    Connectivity in account

 -- Naba Kumar <naba.kumar@nokia.com>  Tue,  9 May 2006 14:20:04 +0300

mission-control (0.26-1) unstable; urgency=low

  * The autoback functionality should now work properly, fixing bug
    #23758.
  * Mission Control should no longer unlock the T&K when VOIP call is
    received and the lock is not on. Fixes at least partially bug #28378
  * VOIP UI should now receive network errors from MC when connection is
    lost, fixing bug #28540
  * Error reporting has been improved, fixing bug #28393

 -- Naba Kumar <naba.kumar@nokia.com>  Fri,  5 May 2006 15:00:20 +0300

mission-control (0.25-1) unstable; urgency=low

  * New libmissioncontrol API function
    mission_control_connect_all_with_default_presence() allows all
    accounts to be connected with default presence read from GConf.
    Will fix bug #26797.
  * Mission Control now also emits error signals when encountering
    network errors; should fix bug #28274
  * Mission Control can now cancel channel requests made with a string
    handle (should fix bug #26764)

 -- Naba Kumar <naba.kumar@nokia.com>  Wed,  3 May 2006 16:27:28 +0300

mission-control (0.24-1) unstable; urgency=low

  * Mission Control plugin directory has been migrated to
    /usr/lib/mission-control/ (fixes bug #27638)

 -- Naba Kumar <naba.kumar@nokia.com>  Tue,  2 May 2006 12:15:57 +0300

mission-control (0.23-1) unstable; urgency=low

  * A more complete fix for #27710; Mission Control is no
    longer launched, if there are no active accounts

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 27 Apr 2006 11:52:14 +0300

mission-control (0.22-1) unstable; urgency=low

  * While querying presence via libmissioncontrol, no longer start up
    mission control to check for presence when we're offline (bug
    #27710)

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 25 Apr 2006 18:29:05 +0300

mission-control (0.21-1) unstable; urgency=low

  * As an attempt to further fix bug #25155 on Mission Control, we now
    call close for all channels when device is shutting down

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 25 Apr 2006 11:31:46 +0300

mission-control (0.20-3) unstable; urgency=low

  * Fixed inconsistency between channel type quark getter prototype and
    implementation.
  * Moved some definitions so that they are also available for the
    filters.

 -- Naba Kumar <naba.kumar@nokia.com>  Mon, 24 Apr 2006 18:01:52 +0300

mission-control (0.20-2) unstable; urgency=low

  * Fixed the broken build of Mission Control.

 -- Naba Kumar <naba.kumar@nokia.com>  Sun, 23 Apr 2006 21:28:13 +0300

mission-control (0.20-1) unstable; urgency=low

  * Mission Control should now no longer enter autoaway during ongoing
    VOIP call (bug #25061)
  * Mission Control should now not fail if the addressbook does not yet
    exist (bug #26998)
  * MC_NO_ACCOUNTS error will be emitted and Mission Control exit when
    there are no enabled accounts
  * When channels are requested while in disconnected state, Mission
    Control will read the presence from GConf.

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 21 Apr 2006 17:59:36 +0300

mission-control (0.19-2) unstable; urgency=low

  * version update

 --  Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Thu, 20 Apr 2006 14:30:00 +0300

mission-control (0.19-1) unstable; urgency=low

  * Mission Control will now request entering exiting VOIP mode from MCE
    when a  VOIP call starts/ends. Should fix #26405

 -- Naba Kumar <naba.kumar@nokia.com>  Wed, 19 Apr 2006 18:30:12 +0300

mission-control (0.18-2) unstable; urgency=low

  * Fixing maintainer-not-full-name warning

 --  Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Tue, 18 Apr 2006 11:49:17 +0300

mission-control (0.18-1) unstable; urgency=low

  * Libmissioncontrol error reporting has been tuned to ensure that
    errors are only signaled to instances that are related to the error
    in the first place.

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 13 Apr 2006 12:44:56 +0300

mission-control (0.17-1) unstable; urgency=low

  * The Mission Control filtering API has been expanded (getters for the
    RtcomAccount and RtcomProfile of the current channel requests,
    getter for the addresses of the channel participants)

 -- Naba Kumar <naba.kumar@nokia.com>  Wed, 12 Apr 2006 12:11:43 +0300

mission-control (0.16-1) unstable; urgency=low

  * Fixed bug #25260 (libmissioncontrol makes blocking D-BUS calls and
    hides errors from user).
  * Mission Control will now start Galago when going up
  * Mission Control now keeps track of the number of channels per
    channel type
  * Bug #25951 (Cannot edit accounts after failed connection to
    jabber/gtalk) is fixed.
  * Mission Control should be now be able to reconnect accounts after a
    connection manager crash
  * Mission Control should now handle situations involving invalid
    password better
  * Added dependency for galago-daemon version

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 11 Apr 2006 14:30:05 +0300

mission-control (0.15-1) unstable; urgency=low

  * Partial fix for the bug 25260; calls without return value are now
    asynchronous and errors are reported with a dedicated signal
  * Bug #25272 has been fixed; libmissioncontrol no longer causes memory
    leaks due to account names.

 -- Naba Kumar <naba.kumar@nokia.com>  Thu,  6 Apr 2006 19:24:14 +0300

mission-control (0.14-1) unstable; urgency=low

  * Mission Control will now listen for accidentally destroyed
    connections (for example when a Connection Manager crashes).
  * Fixed emission of account-status-changed signal in case Connectivity
    is lost during it's establishment.
  * Added an environment variable to control if external daemons are
    started/stopped
		  
 -- Naba Kumar <naba.kumar@nokia.com>  Thu,  6 Apr 2006 14:01:36 +0300

mission-control (0.13-1) unstable; urgency=low

  * The startup and stopping of Galago is disabled due to some problems
    for now
  * When Connectivity disappears, Mission Control will wait for a while
    for it to return before exiting
  * A self-handle getter needed by filters was added

 -- Naba Kumar <naba.kumar@nokia.com>  Wed,  5 Apr 2006 17:59:45 +0300

mission-control (0.12-1) unstable; urgency=low

  * Mission Control now starts the Galago when connecting accounts and
    shuts it down when exiting
  * Minor memory handling fixes

 -- Naba Kumar <naba.kumar@nokia.com>  Tue,  4 Apr 2006 22:23:19 +0300

mission-control (0.11-1) unstable; urgency=low

  * Fixes and updates to the new filter handling API, no significant
    other changes

 -- Naba Kumar <naba.kumar@nokia.com>  Mon,  3 Apr 2006 20:19:22 +0300

mission-control (0.10-2) unstable; urgency=low

  * version update

 -- Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Fri, 31 Mar 2006 16:38:47 +0300

mission-control (0.10-1) unstable; urgency=low

  * splitting mission-control and filters

 --  Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Thu, 30 Mar 2006 16:21:01 +0300

mission-control (0.9-2) unstable; urgency=low

  * fixed bug in src/mcd-filtering.c

 --  Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Thu, 30 Mar 2006 10:51:11 +0300

mission-control (0.9-1) unstable; urgency=low

  * The backwards compatibility of libmissioncontrol has been again
    broken due to a request.
  * The chat/voip filters have been separated into dynamically loaded
    shared libraries
  * Chavo-utils have been made obsolete and removed
  * Libmissioncontrol has initial support for requesting channels with
    the handle as a string.
  * Fixed bug #24792 (Mission control logs in disabled accounts). Other
    minor fixes.

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 28 Mar 2006 18:06:37 +0300

mission-control (0.8-1) unstable; urgency=low

  * Libmissioncontrol uses now RtcomAccounts instead of the ChavoAccount
    (which also breaks the API compatibility).
  * Libmissioncontrol no longer uses its own enum-based channel types.
    Instead, string identifiers are used.
  * Some compiler warnings cleaned, other minor cleanups

 -- Naba Kumar <naba.kumar@nokia.com>  Wed, 22 Mar 2006 13:19:28 +0200

mission-control (0.7) unstable; urgency=low

  * Mission Control now uses libosso-rtcom instead of the deprecated
    libosso-chavo to read the account settings. Libosso-chavo
    dependency removed.

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 21 Mar 2006 09:55:00 +0200

mission-control (0.6-1) unstable; urgency=low

  * Fixed the critical bug #24105 (Chat active view is not displayed
    when initiate chat conversation)

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 17 Mar 2006 15:55:07 +0200

mission-control (0.5-1) unstable; urgency=low

  * VOIP filter functionality added (not properly tested, though)
  * Fixed #23758 (presence state before autoaway was not restored)
  * Enchanced Connectivity and presence handling
  * Miscellaneous memory handling/other fixes

 -- Naba Kumar <naba.kumar@nokia.com>  Wed, 15 Mar 2006 19:33:16 +0200

mission-control (0.4-1) unstable; urgency=low

  * Connectivity support has been added. Partial DSM support (display
    lit filter) has been added.

 -- Naba Kumar <naba.kumar@nokia.com>  Wed,  8 Mar 2006 15:39:49 +0200

mission-control (0.3-1) unstable; urgency=low

  * Synchronized circular dependency changes done to the upstream branch
    by Onne and Dmitry

 -- Naba Kumar <naba.kumar@nokia.com>  Fri,  3 Mar 2006 12:25:31 +0200

mission-control (0.2-1) unstable; urgency=low

  * Preparing for the new mission control release. Now depends on
    libosso-abook. AccountStatusChanged signal support should be working
    (fixing bug #23194). Contact filtering should be working.

 -- Naba Kumar <naba.kumar@nokia.com>  Thu,  2 Mar 2006 12:06:22 +0200

mission-control (0.1-10) unstable; urgency=low

  * libmissioncontrol-dbg added instead of stub

 -- Naba Kumar <naba.kumar@nokia.com>  Wed,  1 Mar 2006 14:22:49 +0200

mission-control (0.1-9) unstable; urgency=low

  * AccountStatusUpdated signal should now be emitted when presence
    changes are received from Telepathy.

 -- Naba Kumar <naba.kumar@nokia.com>  Wed, 22 Feb 2006 16:32:13 +0200

mission-control (0.1-8) unstable; urgency=low

  * libosso-rtcom-dev added to Build-Depends:

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 21 Feb 2006 18:06:19 +0200

mission-control (0.1-7) unstable; urgency=low

  * Fix: Account name string is now duplicated

 -- Naba Kumar <naba.kumar@nokia.com>  Mon, 13 Feb 2006 18:02:29 +0200

mission-control (0.1-6) unstable; urgency=low

  * Reading account settings converted to use libosso-chavo

 -- Naba Kumar <naba.kumar@nokia.com>  Mon, 13 Feb 2006 16:52:11 +0200

mission-control (0.1-5) unstable; urgency=low

  * libexpat added to dependncies

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 10 Feb 2006 10:41:29 +0200

mission-control (0.1-4) unstable; urgency=low

  * Dependencies updated

 -- Naba Kumar <naba.kumar@nokia.com>  Thu,  2 Feb 2006 16:19:04 +0200

mission-control (0.1-2) unstable; urgency=low

  * Dependencies updated

 -- Naba Kumar <naba.kumar@nokia.com>  Thu,  2 Feb 2006 15:54:33 +0200

mission-control (0.1-1) unstable; urgency=low

  * Initial release

 -- Naba Kumar <naba.kumar@nokia.com>  Wed, 18 Jan 2006 15:36:12 +0000

